<?php
require_once(getabspath("classes/cipherer.php"));
$tdatasenuc_professores_regional = array();
	$tdatasenuc_professores_regional[".NumberOfChars"] = 80; 
	$tdatasenuc_professores_regional[".ShortName"] = "senuc_professores_regional";
	$tdatasenuc_professores_regional[".OwnerID"] = "idregional";
	$tdatasenuc_professores_regional[".OriginalTable"] = "senuc_professores";

//	field labels
$fieldLabelssenuc_professores_regional = array();
if(mlang_getcurrentlang()=="Portuguese(Brazil)")
{
	$fieldLabelssenuc_professores_regional["Portuguese(Brazil)"] = array();
	$fieldToolTipssenuc_professores_regional["Portuguese(Brazil)"] = array();
	$fieldLabelssenuc_professores_regional["Portuguese(Brazil)"]["id"] = "Id";
	$fieldToolTipssenuc_professores_regional["Portuguese(Brazil)"]["id"] = "";
	$fieldLabelssenuc_professores_regional["Portuguese(Brazil)"]["nome"] = "Nome";
	$fieldToolTipssenuc_professores_regional["Portuguese(Brazil)"]["nome"] = "";
	$fieldLabelssenuc_professores_regional["Portuguese(Brazil)"]["email"] = "Email";
	$fieldToolTipssenuc_professores_regional["Portuguese(Brazil)"]["email"] = "";
	$fieldLabelssenuc_professores_regional["Portuguese(Brazil)"]["cpf"] = "Cpf";
	$fieldToolTipssenuc_professores_regional["Portuguese(Brazil)"]["cpf"] = "";
	$fieldLabelssenuc_professores_regional["Portuguese(Brazil)"]["telefone"] = "Telefone";
	$fieldToolTipssenuc_professores_regional["Portuguese(Brazil)"]["telefone"] = "";
	$fieldLabelssenuc_professores_regional["Portuguese(Brazil)"]["celular"] = "Celular";
	$fieldToolTipssenuc_professores_regional["Portuguese(Brazil)"]["celular"] = "";
	$fieldLabelssenuc_professores_regional["Portuguese(Brazil)"]["operadora"] = "Operadora";
	$fieldToolTipssenuc_professores_regional["Portuguese(Brazil)"]["operadora"] = "";
	$fieldLabelssenuc_professores_regional["Portuguese(Brazil)"]["cidade"] = "Cidade";
	$fieldToolTipssenuc_professores_regional["Portuguese(Brazil)"]["cidade"] = "";
	$fieldLabelssenuc_professores_regional["Portuguese(Brazil)"]["curso"] = "Curso";
	$fieldToolTipssenuc_professores_regional["Portuguese(Brazil)"]["curso"] = "";
	$fieldLabelssenuc_professores_regional["Portuguese(Brazil)"]["materias"] = "Materias";
	$fieldToolTipssenuc_professores_regional["Portuguese(Brazil)"]["materias"] = "";
	$fieldLabelssenuc_professores_regional["Portuguese(Brazil)"]["bolsista"] = "Bolsista";
	$fieldToolTipssenuc_professores_regional["Portuguese(Brazil)"]["bolsista"] = "";
	$fieldLabelssenuc_professores_regional["Portuguese(Brazil)"]["ano"] = "Ano";
	$fieldToolTipssenuc_professores_regional["Portuguese(Brazil)"]["ano"] = "";
	$fieldLabelssenuc_professores_regional["Portuguese(Brazil)"]["atualizado"] = "Atualizado";
	$fieldToolTipssenuc_professores_regional["Portuguese(Brazil)"]["atualizado"] = "";
	$fieldLabelssenuc_professores_regional["Portuguese(Brazil)"]["idnucleo"] = "Idnucleo";
	$fieldToolTipssenuc_professores_regional["Portuguese(Brazil)"]["idnucleo"] = "";
	$fieldLabelssenuc_professores_regional["Portuguese(Brazil)"]["nascimento"] = "Nascimento";
	$fieldToolTipssenuc_professores_regional["Portuguese(Brazil)"]["nascimento"] = "";
	$fieldLabelssenuc_professores_regional["Portuguese(Brazil)"]["etnia"] = "Etnia";
	$fieldToolTipssenuc_professores_regional["Portuguese(Brazil)"]["etnia"] = "";
	$fieldLabelssenuc_professores_regional["Portuguese(Brazil)"]["renda"] = "Renda";
	$fieldToolTipssenuc_professores_regional["Portuguese(Brazil)"]["renda"] = "";
	$fieldLabelssenuc_professores_regional["Portuguese(Brazil)"]["escolaridade"] = "Escolaridade";
	$fieldToolTipssenuc_professores_regional["Portuguese(Brazil)"]["escolaridade"] = "";
	$fieldLabelssenuc_professores_regional["Portuguese(Brazil)"]["estado"] = "Estado";
	$fieldToolTipssenuc_professores_regional["Portuguese(Brazil)"]["estado"] = "";
	$fieldLabelssenuc_professores_regional["Portuguese(Brazil)"]["ingresso_nucleo"] = "Ingresso Nucleo";
	$fieldToolTipssenuc_professores_regional["Portuguese(Brazil)"]["ingresso_nucleo"] = "";
	$fieldLabelssenuc_professores_regional["Portuguese(Brazil)"]["ativo"] = "Ativo";
	$fieldToolTipssenuc_professores_regional["Portuguese(Brazil)"]["ativo"] = "";
	$fieldLabelssenuc_professores_regional["Portuguese(Brazil)"]["id_mdl"] = "Id Mdl";
	$fieldToolTipssenuc_professores_regional["Portuguese(Brazil)"]["id_mdl"] = "";
	$fieldLabelssenuc_professores_regional["Portuguese(Brazil)"]["motivo"] = "Motivo";
	$fieldToolTipssenuc_professores_regional["Portuguese(Brazil)"]["motivo"] = "";
	$fieldLabelssenuc_professores_regional["Portuguese(Brazil)"]["idregional"] = "Idregional";
	$fieldToolTipssenuc_professores_regional["Portuguese(Brazil)"]["idregional"] = "";
	$fieldLabelssenuc_professores_regional["Portuguese(Brazil)"]["nome_nucleo"] = "Nome Nucleo";
	$fieldToolTipssenuc_professores_regional["Portuguese(Brazil)"]["nome_nucleo"] = "";
	$fieldLabelssenuc_professores_regional["Portuguese(Brazil)"]["nome_regional"] = "Nome Regional";
	$fieldToolTipssenuc_professores_regional["Portuguese(Brazil)"]["nome_regional"] = "";
	$fieldLabelssenuc_professores_regional["Portuguese(Brazil)"]["ultimo_score"] = "Ultimo Score";
	$fieldToolTipssenuc_professores_regional["Portuguese(Brazil)"]["ultimo_score"] = "";
	$fieldLabelssenuc_professores_regional["Portuguese(Brazil)"]["data_ultimo_score"] = "Data Ultimo Score";
	$fieldToolTipssenuc_professores_regional["Portuguese(Brazil)"]["data_ultimo_score"] = "";
	if (count($fieldToolTipssenuc_professores_regional["Portuguese(Brazil)"]))
		$tdatasenuc_professores_regional[".isUseToolTips"] = true;
}
	
	
	$tdatasenuc_professores_regional[".NCSearch"] = true;



$tdatasenuc_professores_regional[".shortTableName"] = "senuc_professores_regional";
$tdatasenuc_professores_regional[".nSecOptions"] = 1;
$tdatasenuc_professores_regional[".recsPerRowList"] = 1;
$tdatasenuc_professores_regional[".mainTableOwnerID"] = "idregional";
$tdatasenuc_professores_regional[".moveNext"] = 1;
$tdatasenuc_professores_regional[".nType"] = 1;

$tdatasenuc_professores_regional[".strOriginalTableName"] = "senuc_professores";




$tdatasenuc_professores_regional[".showAddInPopup"] = true;

$tdatasenuc_professores_regional[".showEditInPopup"] = true;

$tdatasenuc_professores_regional[".showViewInPopup"] = true;

$tdatasenuc_professores_regional[".fieldsForRegister"] = array();

$tdatasenuc_professores_regional[".listAjax"] = false;

	$tdatasenuc_professores_regional[".audit"] = false;

	$tdatasenuc_professores_regional[".locking"] = false;

$tdatasenuc_professores_regional[".listIcons"] = true;
$tdatasenuc_professores_regional[".view"] = true;

$tdatasenuc_professores_regional[".exportTo"] = true;

$tdatasenuc_professores_regional[".printFriendly"] = true;


$tdatasenuc_professores_regional[".showSimpleSearchOptions"] = false;

$tdatasenuc_professores_regional[".showSearchPanel"] = true;

if (isMobile())
	$tdatasenuc_professores_regional[".isUseAjaxSuggest"] = false;
else 
	$tdatasenuc_professores_regional[".isUseAjaxSuggest"] = true;

$tdatasenuc_professores_regional[".rowHighlite"] = true;

// button handlers file names
$tdatasenuc_professores_regional[".isUsebuttonHandlers"] = true;

$tdatasenuc_professores_regional[".addPageEvents"] = true;

// use timepicker for search panel
$tdatasenuc_professores_regional[".isUseTimeForSearch"] = false;




$tdatasenuc_professores_regional[".allSearchFields"] = array();

$tdatasenuc_professores_regional[".allSearchFields"][] = "ultimo_score";
$tdatasenuc_professores_regional[".allSearchFields"][] = "nome_regional";
$tdatasenuc_professores_regional[".allSearchFields"][] = "nome_nucleo";
$tdatasenuc_professores_regional[".allSearchFields"][] = "data_ultimo_score";
$tdatasenuc_professores_regional[".allSearchFields"][] = "nome";
$tdatasenuc_professores_regional[".allSearchFields"][] = "cpf";
$tdatasenuc_professores_regional[".allSearchFields"][] = "estado";
$tdatasenuc_professores_regional[".allSearchFields"][] = "cidade";
$tdatasenuc_professores_regional[".allSearchFields"][] = "email";
$tdatasenuc_professores_regional[".allSearchFields"][] = "telefone";
$tdatasenuc_professores_regional[".allSearchFields"][] = "celular";
$tdatasenuc_professores_regional[".allSearchFields"][] = "operadora";
$tdatasenuc_professores_regional[".allSearchFields"][] = "nascimento";
$tdatasenuc_professores_regional[".allSearchFields"][] = "renda";
$tdatasenuc_professores_regional[".allSearchFields"][] = "etnia";
$tdatasenuc_professores_regional[".allSearchFields"][] = "escolaridade";
$tdatasenuc_professores_regional[".allSearchFields"][] = "curso";
$tdatasenuc_professores_regional[".allSearchFields"][] = "materias";
$tdatasenuc_professores_regional[".allSearchFields"][] = "ingresso_nucleo";
$tdatasenuc_professores_regional[".allSearchFields"][] = "bolsista";
$tdatasenuc_professores_regional[".allSearchFields"][] = "ativo";
$tdatasenuc_professores_regional[".allSearchFields"][] = "motivo";

$tdatasenuc_professores_regional[".googleLikeFields"][] = "id";
$tdatasenuc_professores_regional[".googleLikeFields"][] = "idnucleo";
$tdatasenuc_professores_regional[".googleLikeFields"][] = "idregional";
$tdatasenuc_professores_regional[".googleLikeFields"][] = "nome";
$tdatasenuc_professores_regional[".googleLikeFields"][] = "email";
$tdatasenuc_professores_regional[".googleLikeFields"][] = "cpf";
$tdatasenuc_professores_regional[".googleLikeFields"][] = "telefone";
$tdatasenuc_professores_regional[".googleLikeFields"][] = "celular";
$tdatasenuc_professores_regional[".googleLikeFields"][] = "operadora";
$tdatasenuc_professores_regional[".googleLikeFields"][] = "nascimento";
$tdatasenuc_professores_regional[".googleLikeFields"][] = "etnia";
$tdatasenuc_professores_regional[".googleLikeFields"][] = "renda";
$tdatasenuc_professores_regional[".googleLikeFields"][] = "estado";
$tdatasenuc_professores_regional[".googleLikeFields"][] = "cidade";
$tdatasenuc_professores_regional[".googleLikeFields"][] = "escolaridade";
$tdatasenuc_professores_regional[".googleLikeFields"][] = "curso";
$tdatasenuc_professores_regional[".googleLikeFields"][] = "materias";
$tdatasenuc_professores_regional[".googleLikeFields"][] = "ingresso_nucleo";
$tdatasenuc_professores_regional[".googleLikeFields"][] = "bolsista";
$tdatasenuc_professores_regional[".googleLikeFields"][] = "ano";
$tdatasenuc_professores_regional[".googleLikeFields"][] = "atualizado";
$tdatasenuc_professores_regional[".googleLikeFields"][] = "motivo";
$tdatasenuc_professores_regional[".googleLikeFields"][] = "ativo";
$tdatasenuc_professores_regional[".googleLikeFields"][] = "id_mdl";
$tdatasenuc_professores_regional[".googleLikeFields"][] = "nome_nucleo";
$tdatasenuc_professores_regional[".googleLikeFields"][] = "nome_regional";
$tdatasenuc_professores_regional[".googleLikeFields"][] = "ultimo_score";
$tdatasenuc_professores_regional[".googleLikeFields"][] = "data_ultimo_score";


$tdatasenuc_professores_regional[".advSearchFields"][] = "ultimo_score";
$tdatasenuc_professores_regional[".advSearchFields"][] = "nome_regional";
$tdatasenuc_professores_regional[".advSearchFields"][] = "nome_nucleo";
$tdatasenuc_professores_regional[".advSearchFields"][] = "data_ultimo_score";
$tdatasenuc_professores_regional[".advSearchFields"][] = "nome";
$tdatasenuc_professores_regional[".advSearchFields"][] = "cpf";
$tdatasenuc_professores_regional[".advSearchFields"][] = "estado";
$tdatasenuc_professores_regional[".advSearchFields"][] = "cidade";
$tdatasenuc_professores_regional[".advSearchFields"][] = "email";
$tdatasenuc_professores_regional[".advSearchFields"][] = "telefone";
$tdatasenuc_professores_regional[".advSearchFields"][] = "celular";
$tdatasenuc_professores_regional[".advSearchFields"][] = "operadora";
$tdatasenuc_professores_regional[".advSearchFields"][] = "nascimento";
$tdatasenuc_professores_regional[".advSearchFields"][] = "renda";
$tdatasenuc_professores_regional[".advSearchFields"][] = "etnia";
$tdatasenuc_professores_regional[".advSearchFields"][] = "escolaridade";
$tdatasenuc_professores_regional[".advSearchFields"][] = "curso";
$tdatasenuc_professores_regional[".advSearchFields"][] = "materias";
$tdatasenuc_professores_regional[".advSearchFields"][] = "ingresso_nucleo";
$tdatasenuc_professores_regional[".advSearchFields"][] = "bolsista";
$tdatasenuc_professores_regional[".advSearchFields"][] = "ativo";
$tdatasenuc_professores_regional[".advSearchFields"][] = "motivo";

$tdatasenuc_professores_regional[".isTableType"] = "list";

	



// Access doesn't support subqueries from the same table as main



$tdatasenuc_professores_regional[".pageSize"] = 20;

$tstrOrderBy = "ORDER BY senuc_professores.ativo DESC, senuc_professores.ingresso_nucleo DESC";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatasenuc_professores_regional[".strOrderBy"] = $tstrOrderBy;

$tdatasenuc_professores_regional[".orderindexes"] = array();
$tdatasenuc_professores_regional[".orderindexes"][] = array(23, (0 ? "ASC" : "DESC"), "senuc_professores.ativo");
$tdatasenuc_professores_regional[".orderindexes"][] = array(18, (0 ? "ASC" : "DESC"), "senuc_professores.ingresso_nucleo");

$tdatasenuc_professores_regional[".sqlHead"] = "SELECT senuc_professores.id,  senuc_professores.idnucleo,  senuc_professores.idregional,  senuc_professores.nome,  senuc_professores.email,  senuc_professores.cpf,  senuc_professores.telefone,  senuc_professores.celular,  senuc_professores.operadora,  senuc_professores.nascimento,  senuc_professores.etnia,  senuc_professores.renda,  senuc_professores.estado,  senuc_professores.cidade,  senuc_professores.escolaridade,  senuc_professores.curso,  senuc_professores.materias,  senuc_professores.ingresso_nucleo,  senuc_professores.bolsista,  senuc_professores.ano,  senuc_professores.atualizado,  senuc_professores.motivo,  senuc_professores.ativo,  senuc_professores.id_mdl,  senuc_nucleo.nome AS nome_nucleo,  regionais.regional AS nome_regional,  senuc_professores.ultimo_score,  senuc_professores.data_ultimo_score";
$tdatasenuc_professores_regional[".sqlFrom"] = "FROM senuc_professores  INNER JOIN senuc_nucleo ON senuc_professores.idnucleo = senuc_nucleo.id  INNER JOIN regionais ON senuc_professores.idregional = regionais.id";
$tdatasenuc_professores_regional[".sqlWhereExpr"] = "";
$tdatasenuc_professores_regional[".sqlTail"] = "GROUP BY senuc_professores.idnucleo";




//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatasenuc_professores_regional[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatasenuc_professores_regional[".arrGroupsPerPage"] = $arrGPP;

$tableKeyssenuc_professores_regional = array();
$tableKeyssenuc_professores_regional[] = "id";
$tdatasenuc_professores_regional[".Keys"] = $tableKeyssenuc_professores_regional;

$tdatasenuc_professores_regional[".listFields"] = array();
$tdatasenuc_professores_regional[".listFields"][] = "ultimo_score";
$tdatasenuc_professores_regional[".listFields"][] = "data_ultimo_score";
$tdatasenuc_professores_regional[".listFields"][] = "nome";
$tdatasenuc_professores_regional[".listFields"][] = "nome_nucleo";
$tdatasenuc_professores_regional[".listFields"][] = "nome_regional";
$tdatasenuc_professores_regional[".listFields"][] = "cpf";
$tdatasenuc_professores_regional[".listFields"][] = "estado";
$tdatasenuc_professores_regional[".listFields"][] = "cidade";
$tdatasenuc_professores_regional[".listFields"][] = "email";
$tdatasenuc_professores_regional[".listFields"][] = "telefone";
$tdatasenuc_professores_regional[".listFields"][] = "celular";
$tdatasenuc_professores_regional[".listFields"][] = "operadora";
$tdatasenuc_professores_regional[".listFields"][] = "nascimento";
$tdatasenuc_professores_regional[".listFields"][] = "renda";
$tdatasenuc_professores_regional[".listFields"][] = "etnia";
$tdatasenuc_professores_regional[".listFields"][] = "escolaridade";
$tdatasenuc_professores_regional[".listFields"][] = "curso";
$tdatasenuc_professores_regional[".listFields"][] = "materias";
$tdatasenuc_professores_regional[".listFields"][] = "ingresso_nucleo";
$tdatasenuc_professores_regional[".listFields"][] = "bolsista";
$tdatasenuc_professores_regional[".listFields"][] = "ativo";
$tdatasenuc_professores_regional[".listFields"][] = "motivo";

$tdatasenuc_professores_regional[".viewFields"] = array();
$tdatasenuc_professores_regional[".viewFields"][] = "ultimo_score";
$tdatasenuc_professores_regional[".viewFields"][] = "nome_regional";
$tdatasenuc_professores_regional[".viewFields"][] = "nome_nucleo";
$tdatasenuc_professores_regional[".viewFields"][] = "data_ultimo_score";
$tdatasenuc_professores_regional[".viewFields"][] = "nome";
$tdatasenuc_professores_regional[".viewFields"][] = "cpf";
$tdatasenuc_professores_regional[".viewFields"][] = "estado";
$tdatasenuc_professores_regional[".viewFields"][] = "cidade";
$tdatasenuc_professores_regional[".viewFields"][] = "email";
$tdatasenuc_professores_regional[".viewFields"][] = "telefone";
$tdatasenuc_professores_regional[".viewFields"][] = "celular";
$tdatasenuc_professores_regional[".viewFields"][] = "operadora";
$tdatasenuc_professores_regional[".viewFields"][] = "nascimento";
$tdatasenuc_professores_regional[".viewFields"][] = "renda";
$tdatasenuc_professores_regional[".viewFields"][] = "etnia";
$tdatasenuc_professores_regional[".viewFields"][] = "escolaridade";
$tdatasenuc_professores_regional[".viewFields"][] = "curso";
$tdatasenuc_professores_regional[".viewFields"][] = "materias";
$tdatasenuc_professores_regional[".viewFields"][] = "ingresso_nucleo";
$tdatasenuc_professores_regional[".viewFields"][] = "bolsista";
$tdatasenuc_professores_regional[".viewFields"][] = "ativo";
$tdatasenuc_professores_regional[".viewFields"][] = "motivo";

$tdatasenuc_professores_regional[".addFields"] = array();

$tdatasenuc_professores_regional[".inlineAddFields"] = array();

$tdatasenuc_professores_regional[".editFields"] = array();

$tdatasenuc_professores_regional[".inlineEditFields"] = array();

$tdatasenuc_professores_regional[".exportFields"] = array();
$tdatasenuc_professores_regional[".exportFields"][] = "ultimo_score";
$tdatasenuc_professores_regional[".exportFields"][] = "nome_regional";
$tdatasenuc_professores_regional[".exportFields"][] = "nome_nucleo";
$tdatasenuc_professores_regional[".exportFields"][] = "data_ultimo_score";
$tdatasenuc_professores_regional[".exportFields"][] = "nome";
$tdatasenuc_professores_regional[".exportFields"][] = "cpf";
$tdatasenuc_professores_regional[".exportFields"][] = "estado";
$tdatasenuc_professores_regional[".exportFields"][] = "cidade";
$tdatasenuc_professores_regional[".exportFields"][] = "email";
$tdatasenuc_professores_regional[".exportFields"][] = "telefone";
$tdatasenuc_professores_regional[".exportFields"][] = "celular";
$tdatasenuc_professores_regional[".exportFields"][] = "operadora";
$tdatasenuc_professores_regional[".exportFields"][] = "nascimento";
$tdatasenuc_professores_regional[".exportFields"][] = "renda";
$tdatasenuc_professores_regional[".exportFields"][] = "etnia";
$tdatasenuc_professores_regional[".exportFields"][] = "escolaridade";
$tdatasenuc_professores_regional[".exportFields"][] = "curso";
$tdatasenuc_professores_regional[".exportFields"][] = "materias";
$tdatasenuc_professores_regional[".exportFields"][] = "ingresso_nucleo";
$tdatasenuc_professores_regional[".exportFields"][] = "bolsista";
$tdatasenuc_professores_regional[".exportFields"][] = "ativo";
$tdatasenuc_professores_regional[".exportFields"][] = "motivo";

$tdatasenuc_professores_regional[".printFields"] = array();
$tdatasenuc_professores_regional[".printFields"][] = "ultimo_score";
$tdatasenuc_professores_regional[".printFields"][] = "nome_regional";
$tdatasenuc_professores_regional[".printFields"][] = "nome_nucleo";
$tdatasenuc_professores_regional[".printFields"][] = "data_ultimo_score";
$tdatasenuc_professores_regional[".printFields"][] = "nome";
$tdatasenuc_professores_regional[".printFields"][] = "cpf";
$tdatasenuc_professores_regional[".printFields"][] = "estado";
$tdatasenuc_professores_regional[".printFields"][] = "cidade";
$tdatasenuc_professores_regional[".printFields"][] = "email";
$tdatasenuc_professores_regional[".printFields"][] = "telefone";
$tdatasenuc_professores_regional[".printFields"][] = "celular";
$tdatasenuc_professores_regional[".printFields"][] = "operadora";
$tdatasenuc_professores_regional[".printFields"][] = "nascimento";
$tdatasenuc_professores_regional[".printFields"][] = "renda";
$tdatasenuc_professores_regional[".printFields"][] = "etnia";
$tdatasenuc_professores_regional[".printFields"][] = "escolaridade";
$tdatasenuc_professores_regional[".printFields"][] = "curso";
$tdatasenuc_professores_regional[".printFields"][] = "materias";
$tdatasenuc_professores_regional[".printFields"][] = "ingresso_nucleo";
$tdatasenuc_professores_regional[".printFields"][] = "bolsista";
$tdatasenuc_professores_regional[".printFields"][] = "ativo";
$tdatasenuc_professores_regional[".printFields"][] = "motivo";

//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "senuc_professores";
	$fdata["Label"] = "Id"; 
	$fdata["FieldType"] = 3;
	
		$fdata["AutoInc"] = true;
	
		
		
		
		
		
		
		
		
		
		
		$fdata["strField"] = "id"; 
		$fdata["FullName"] = "senuc_professores.id";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_professores_regional["id"] = $fdata;
//	idnucleo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "idnucleo";
	$fdata["GoodName"] = "idnucleo";
	$fdata["ownerTable"] = "senuc_professores";
	$fdata["Label"] = "Idnucleo"; 
	$fdata["FieldType"] = 3;
	
		
		
		
		
		
		
		
		
		
		
		
		$fdata["strField"] = "idnucleo"; 
		$fdata["FullName"] = "senuc_professores.idnucleo";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_professores_regional["idnucleo"] = $fdata;
//	idregional
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "idregional";
	$fdata["GoodName"] = "idregional";
	$fdata["ownerTable"] = "senuc_professores";
	$fdata["Label"] = "Idregional"; 
	$fdata["FieldType"] = 3;
	
		
		
		
		
		
		
		
		
		
		
		
		$fdata["strField"] = "idregional"; 
		$fdata["FullName"] = "senuc_professores.idregional";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_professores_regional["idregional"] = $fdata;
//	nome
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "nome";
	$fdata["GoodName"] = "nome";
	$fdata["ownerTable"] = "senuc_professores";
	$fdata["Label"] = "Nome"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "nome"; 
		$fdata["FullName"] = "senuc_professores.nome";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=100";
	
		$edata["inputStyle"] = " width:300px;";
	$edata["controlWidth"] = 300;
	
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_professores_regional["nome"] = $fdata;
//	email
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "email";
	$fdata["GoodName"] = "email";
	$fdata["ownerTable"] = "senuc_professores";
	$fdata["Label"] = "Email"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "email"; 
		$fdata["FullName"] = "senuc_professores.email";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";
	
		$edata["inputStyle"] = " width:200px;";
	$edata["controlWidth"] = 200;
	
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Email");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_professores_regional["email"] = $fdata;
//	cpf
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "cpf";
	$fdata["GoodName"] = "cpf";
	$fdata["ownerTable"] = "senuc_professores";
	$fdata["Label"] = "Cpf"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "cpf"; 
		$fdata["FullName"] = "senuc_professores.cpf";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
		$edata["strEditMask"] = "999.999.999-99"; 

//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=20";
	
		
//	Begin validation
	$edata["validateAs"] = array();
		
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_professores_regional["cpf"] = $fdata;
//	telefone
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "telefone";
	$fdata["GoodName"] = "telefone";
	$fdata["ownerTable"] = "senuc_professores";
	$fdata["Label"] = "Telefone"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "telefone"; 
		$fdata["FullName"] = "senuc_professores.telefone";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
		$edata["strEditMask"] = "(99)9999-9999"; 

//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=20";
	
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_professores_regional["telefone"] = $fdata;
//	celular
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "celular";
	$fdata["GoodName"] = "celular";
	$fdata["ownerTable"] = "senuc_professores";
	$fdata["Label"] = "Celular"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "celular"; 
		$fdata["FullName"] = "senuc_professores.celular";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
		$edata["strEditMask"] = "(99)99999-9999"; 

//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=20";
	
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_professores_regional["celular"] = $fdata;
//	operadora
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "operadora";
	$fdata["GoodName"] = "operadora";
	$fdata["ownerTable"] = "senuc_professores";
	$fdata["Label"] = "Operadora"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "operadora"; 
		$fdata["FullName"] = "senuc_professores.operadora";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 1;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				
		
			
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "operadora";
	
		
	$edata["LookupTable"] = "operadora";
	$edata["LookupOrderBy"] = "operadora";
	
		
		
		
		
		
		$edata["SimpleAdd"] = true;
			
	
	
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_professores_regional["operadora"] = $fdata;
//	nascimento
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "nascimento";
	$fdata["GoodName"] = "nascimento";
	$fdata["ownerTable"] = "senuc_professores";
	$fdata["Label"] = "Nascimento"; 
	$fdata["FieldType"] = 7;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "nascimento"; 
		$fdata["FullName"] = "senuc_professores.nascimento";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "Short Date");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Date");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		$edata["DateEditType"] = 13; 
	$edata["InitialYearFactor"] = 100; 
	$edata["LastYearFactor"] = 10; 
	
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_professores_regional["nascimento"] = $fdata;
//	etnia
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 11;
	$fdata["strName"] = "etnia";
	$fdata["GoodName"] = "etnia";
	$fdata["ownerTable"] = "senuc_professores";
	$fdata["Label"] = "Etnia"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "etnia"; 
		$fdata["FullName"] = "senuc_professores.etnia";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 1;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				
		
			
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "etnia";
	
		
	$edata["LookupTable"] = "etnia";
	$edata["LookupOrderBy"] = "etnia";
	
		
		
		
		
		
		$edata["SimpleAdd"] = true;
			
	
	
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_professores_regional["etnia"] = $fdata;
//	renda
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 12;
	$fdata["strName"] = "renda";
	$fdata["GoodName"] = "renda";
	$fdata["ownerTable"] = "senuc_professores";
	$fdata["Label"] = "Renda"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "renda"; 
		$fdata["FullName"] = "senuc_professores.renda";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 1;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				
		
			$edata["LookupUnique"] = true;
	
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "renda";
	
		
	$edata["LookupTable"] = "renda";
	$edata["LookupOrderBy"] = "id";
	
		
		
		
		
		
		$edata["SimpleAdd"] = true;
			
	
	
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_professores_regional["renda"] = $fdata;
//	estado
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 13;
	$fdata["strName"] = "estado";
	$fdata["GoodName"] = "estado";
	$fdata["ownerTable"] = "senuc_professores";
	$fdata["Label"] = "Estado"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "estado"; 
		$fdata["FullName"] = "senuc_professores.estado";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 1;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				
		
			
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "uf";
	
		
	$edata["LookupTable"] = "tb_estados";
	$edata["LookupOrderBy"] = "uf";
	
		
		
		
		
		
		$edata["SimpleAdd"] = true;
			
			//	dependent dropdowns	
	$edata["DependentLookups"] = array();
	$edata["DependentLookups"][] = "cidade";
	
	
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_professores_regional["estado"] = $fdata;
//	cidade
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 14;
	$fdata["strName"] = "cidade";
	$fdata["GoodName"] = "cidade";
	$fdata["ownerTable"] = "senuc_professores";
	$fdata["Label"] = "Cidade"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "cidade"; 
		$fdata["FullName"] = "senuc_professores.cidade";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 1;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				$edata["LCType"] = 1;
			
		
			
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "nome";
	
		
	$edata["LookupTable"] = "tb_cidades";
	$edata["LookupOrderBy"] = "";
	
		
		
		$edata["UseCategory"] = true; 
	$edata["CategoryControl"] = "estado"; 
	$edata["CategoryFilter"] = "estado"; 
	
		$edata["FastType"] = true; 
	
		
		$edata["SimpleAdd"] = true;
			
	
	
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_professores_regional["cidade"] = $fdata;
//	escolaridade
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 15;
	$fdata["strName"] = "escolaridade";
	$fdata["GoodName"] = "escolaridade";
	$fdata["ownerTable"] = "senuc_professores";
	$fdata["Label"] = "Escolaridade"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "escolaridade"; 
		$fdata["FullName"] = "senuc_professores.escolaridade";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 1;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				
		
			
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "escolaridade";
	
		
	$edata["LookupTable"] = "escolaridade";
	$edata["LookupOrderBy"] = "escolaridade";
	
		
		
		
		
		
		$edata["SimpleAdd"] = true;
			
	
	
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_professores_regional["escolaridade"] = $fdata;
//	curso
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 16;
	$fdata["strName"] = "curso";
	$fdata["GoodName"] = "curso";
	$fdata["ownerTable"] = "senuc_professores";
	$fdata["Label"] = "Curso"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "curso"; 
		$fdata["FullName"] = "senuc_professores.curso";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 1;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				
		
			
	$edata["LinkField"] = "ID";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "Cursos";
	
		
	$edata["LookupTable"] = "cursos";
	$edata["LookupOrderBy"] = "Cursos";
	
		
		$edata["LookupWhere"] = " tipo=1";
	
		
		
		
		$edata["SimpleAdd"] = true;
			
	
	
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_professores_regional["curso"] = $fdata;
//	materias
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 17;
	$fdata["strName"] = "materias";
	$fdata["GoodName"] = "materias";
	$fdata["ownerTable"] = "senuc_professores";
	$fdata["Label"] = "Materias"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "materias"; 
		$fdata["FullName"] = "senuc_professores.materias";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 1;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				$edata["LCType"] = 3;
			
		
			$edata["LookupUnique"] = true;
	
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "materia";
	
		
	$edata["LookupTable"] = "materias";
	$edata["LookupOrderBy"] = "materia";
	
		
		
		
		
		
		$edata["SimpleAdd"] = true;
			
	
	
		$edata["Multiselect"] = true; 
	$edata["SelectSize"] = 1;
//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_professores_regional["materias"] = $fdata;
//	ingresso_nucleo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 18;
	$fdata["strName"] = "ingresso_nucleo";
	$fdata["GoodName"] = "ingresso_nucleo";
	$fdata["ownerTable"] = "senuc_professores";
	$fdata["Label"] = "Ingresso Nucleo"; 
	$fdata["FieldType"] = 7;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "ingresso_nucleo"; 
		$fdata["FullName"] = "senuc_professores.ingresso_nucleo";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "Short Date");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Date");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		$edata["DateEditType"] = 13; 
	$edata["InitialYearFactor"] = 100; 
	$edata["LastYearFactor"] = 10; 
	
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
		
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_professores_regional["ingresso_nucleo"] = $fdata;
//	bolsista
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 19;
	$fdata["strName"] = "bolsista";
	$fdata["GoodName"] = "bolsista";
	$fdata["ownerTable"] = "senuc_professores";
	$fdata["Label"] = "Bolsista"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "bolsista"; 
		$fdata["FullName"] = "senuc_professores.bolsista";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "Checkbox");
	
		
		
		
			
		
		
		
		
		
		
		
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Checkbox");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_professores_regional["bolsista"] = $fdata;
//	ano
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 20;
	$fdata["strName"] = "ano";
	$fdata["GoodName"] = "ano";
	$fdata["ownerTable"] = "senuc_professores";
	$fdata["Label"] = "Ano"; 
	$fdata["FieldType"] = 3;
	
		
		
		
		
		
		
		
		
		
		
		
		$fdata["strField"] = "ano"; 
		$fdata["FullName"] = "senuc_professores.ano";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=10";
	
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_professores_regional["ano"] = $fdata;
//	atualizado
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 21;
	$fdata["strName"] = "atualizado";
	$fdata["GoodName"] = "atualizado";
	$fdata["ownerTable"] = "senuc_professores";
	$fdata["Label"] = "Atualizado"; 
	$fdata["FieldType"] = 3;
	
		
		
		
		
		
		
		
		
		
		
		
		$fdata["strField"] = "atualizado"; 
		$fdata["FullName"] = "senuc_professores.atualizado";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=5";
	
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_professores_regional["atualizado"] = $fdata;
//	motivo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 22;
	$fdata["strName"] = "motivo";
	$fdata["GoodName"] = "motivo";
	$fdata["ownerTable"] = "senuc_professores";
	$fdata["Label"] = "Motivo"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "motivo"; 
		$fdata["FullName"] = "senuc_professores.motivo";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "Custom");
	
		
		
		
			
		
		
		
		
		
		
		
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 1;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				
		
			
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "motivo";
	
		
	$edata["LookupTable"] = "senuc_motivos";
	$edata["LookupOrderBy"] = "motivo";
	
		
		
		
		
		
		$edata["SimpleAdd"] = true;
			
	
	
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_professores_regional["motivo"] = $fdata;
//	ativo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 23;
	$fdata["strName"] = "ativo";
	$fdata["GoodName"] = "ativo";
	$fdata["ownerTable"] = "senuc_professores";
	$fdata["Label"] = "Ativo"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "ativo"; 
		$fdata["FullName"] = "senuc_professores.ativo";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "Checkbox");
	
		
		
		
			
		
		
		
		
		
		
		
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Checkbox");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_professores_regional["ativo"] = $fdata;
//	id_mdl
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 24;
	$fdata["strName"] = "id_mdl";
	$fdata["GoodName"] = "id_mdl";
	$fdata["ownerTable"] = "senuc_professores";
	$fdata["Label"] = "Id Mdl"; 
	$fdata["FieldType"] = 3;
	
		
		
		
		
		
		
		
		
		
		
		
		$fdata["strField"] = "id_mdl"; 
		$fdata["FullName"] = "senuc_professores.id_mdl";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_professores_regional["id_mdl"] = $fdata;
//	nome_nucleo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 25;
	$fdata["strName"] = "nome_nucleo";
	$fdata["GoodName"] = "nome_nucleo";
	$fdata["ownerTable"] = "senuc_nucleo";
	$fdata["Label"] = "Nome Nucleo"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "nome"; 
		$fdata["FullName"] = "senuc_nucleo.nome";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
		
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_professores_regional["nome_nucleo"] = $fdata;
//	nome_regional
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 26;
	$fdata["strName"] = "nome_regional";
	$fdata["GoodName"] = "nome_regional";
	$fdata["ownerTable"] = "regionais";
	$fdata["Label"] = "Nome Regional"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "regional"; 
		$fdata["FullName"] = "regionais.regional";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
		
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_professores_regional["nome_regional"] = $fdata;
//	ultimo_score
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 27;
	$fdata["strName"] = "ultimo_score";
	$fdata["GoodName"] = "ultimo_score";
	$fdata["ownerTable"] = "senuc_professores";
	$fdata["Label"] = "Ultimo Score"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "ultimo_score"; 
		$fdata["FullName"] = "senuc_professores.ultimo_score";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_professores_regional["ultimo_score"] = $fdata;
//	data_ultimo_score
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 28;
	$fdata["strName"] = "data_ultimo_score";
	$fdata["GoodName"] = "data_ultimo_score";
	$fdata["ownerTable"] = "senuc_professores";
	$fdata["Label"] = "Data Ultimo Score"; 
	$fdata["FieldType"] = 7;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "data_ultimo_score"; 
		$fdata["FullName"] = "senuc_professores.data_ultimo_score";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "Short Date");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Date");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		$edata["DateEditType"] = 13; 
	$edata["InitialYearFactor"] = 100; 
	$edata["LastYearFactor"] = 10; 
	
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
		
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_professores_regional["data_ultimo_score"] = $fdata;

	
$tables_data["senuc_professores_regional"]=&$tdatasenuc_professores_regional;
$field_labels["senuc_professores_regional"] = &$fieldLabelssenuc_professores_regional;
$fieldToolTips["senuc_professores_regional"] = &$fieldToolTipssenuc_professores_regional;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["senuc_professores_regional"] = array();
	
// tables which are master tables for current table (detail)
$masterTablesData["senuc_professores_regional"] = array();

// -----------------end  prepare master-details data arrays ------------------------------//

require_once(getabspath("classes/sql.php"));










function createSqlQuery_senuc_professores_regional()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "senuc_professores.id,  senuc_professores.idnucleo,  senuc_professores.idregional,  senuc_professores.nome,  senuc_professores.email,  senuc_professores.cpf,  senuc_professores.telefone,  senuc_professores.celular,  senuc_professores.operadora,  senuc_professores.nascimento,  senuc_professores.etnia,  senuc_professores.renda,  senuc_professores.estado,  senuc_professores.cidade,  senuc_professores.escolaridade,  senuc_professores.curso,  senuc_professores.materias,  senuc_professores.ingresso_nucleo,  senuc_professores.bolsista,  senuc_professores.ano,  senuc_professores.atualizado,  senuc_professores.motivo,  senuc_professores.ativo,  senuc_professores.id_mdl,  senuc_nucleo.nome AS nome_nucleo,  regionais.regional AS nome_regional,  senuc_professores.ultimo_score,  senuc_professores.data_ultimo_score";
$proto0["m_strFrom"] = "FROM senuc_professores  INNER JOIN senuc_nucleo ON senuc_professores.idnucleo = senuc_nucleo.id  INNER JOIN regionais ON senuc_professores.idregional = regionais.id";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "ORDER BY senuc_professores.ativo DESC, senuc_professores.ingresso_nucleo DESC";
$proto0["m_strTail"] = "GROUP BY senuc_professores.idnucleo";
$proto0["cipherer"] = null;
$proto1=array();
$proto1["m_sql"] = "";
$proto1["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto1["m_column"]=$obj;
$proto1["m_contained"] = array();
$proto1["m_strCase"] = "";
$proto1["m_havingmode"] = "0";
$proto1["m_inBrackets"] = "0";
$proto1["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto1);

$proto0["m_where"] = $obj;
$proto3=array();
$proto3["m_sql"] = "";
$proto3["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto3["m_column"]=$obj;
$proto3["m_contained"] = array();
$proto3["m_strCase"] = "";
$proto3["m_havingmode"] = "0";
$proto3["m_inBrackets"] = "0";
$proto3["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto3);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto5=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "senuc_professores"
));

$proto5["m_expr"]=$obj;
$proto5["m_alias"] = "";
$obj = new SQLFieldListItem($proto5);

$proto0["m_fieldlist"][]=$obj;
						$proto7=array();
			$obj = new SQLField(array(
	"m_strName" => "idnucleo",
	"m_strTable" => "senuc_professores"
));

$proto7["m_expr"]=$obj;
$proto7["m_alias"] = "";
$obj = new SQLFieldListItem($proto7);

$proto0["m_fieldlist"][]=$obj;
						$proto9=array();
			$obj = new SQLField(array(
	"m_strName" => "idregional",
	"m_strTable" => "senuc_professores"
));

$proto9["m_expr"]=$obj;
$proto9["m_alias"] = "";
$obj = new SQLFieldListItem($proto9);

$proto0["m_fieldlist"][]=$obj;
						$proto11=array();
			$obj = new SQLField(array(
	"m_strName" => "nome",
	"m_strTable" => "senuc_professores"
));

$proto11["m_expr"]=$obj;
$proto11["m_alias"] = "";
$obj = new SQLFieldListItem($proto11);

$proto0["m_fieldlist"][]=$obj;
						$proto13=array();
			$obj = new SQLField(array(
	"m_strName" => "email",
	"m_strTable" => "senuc_professores"
));

$proto13["m_expr"]=$obj;
$proto13["m_alias"] = "";
$obj = new SQLFieldListItem($proto13);

$proto0["m_fieldlist"][]=$obj;
						$proto15=array();
			$obj = new SQLField(array(
	"m_strName" => "cpf",
	"m_strTable" => "senuc_professores"
));

$proto15["m_expr"]=$obj;
$proto15["m_alias"] = "";
$obj = new SQLFieldListItem($proto15);

$proto0["m_fieldlist"][]=$obj;
						$proto17=array();
			$obj = new SQLField(array(
	"m_strName" => "telefone",
	"m_strTable" => "senuc_professores"
));

$proto17["m_expr"]=$obj;
$proto17["m_alias"] = "";
$obj = new SQLFieldListItem($proto17);

$proto0["m_fieldlist"][]=$obj;
						$proto19=array();
			$obj = new SQLField(array(
	"m_strName" => "celular",
	"m_strTable" => "senuc_professores"
));

$proto19["m_expr"]=$obj;
$proto19["m_alias"] = "";
$obj = new SQLFieldListItem($proto19);

$proto0["m_fieldlist"][]=$obj;
						$proto21=array();
			$obj = new SQLField(array(
	"m_strName" => "operadora",
	"m_strTable" => "senuc_professores"
));

$proto21["m_expr"]=$obj;
$proto21["m_alias"] = "";
$obj = new SQLFieldListItem($proto21);

$proto0["m_fieldlist"][]=$obj;
						$proto23=array();
			$obj = new SQLField(array(
	"m_strName" => "nascimento",
	"m_strTable" => "senuc_professores"
));

$proto23["m_expr"]=$obj;
$proto23["m_alias"] = "";
$obj = new SQLFieldListItem($proto23);

$proto0["m_fieldlist"][]=$obj;
						$proto25=array();
			$obj = new SQLField(array(
	"m_strName" => "etnia",
	"m_strTable" => "senuc_professores"
));

$proto25["m_expr"]=$obj;
$proto25["m_alias"] = "";
$obj = new SQLFieldListItem($proto25);

$proto0["m_fieldlist"][]=$obj;
						$proto27=array();
			$obj = new SQLField(array(
	"m_strName" => "renda",
	"m_strTable" => "senuc_professores"
));

$proto27["m_expr"]=$obj;
$proto27["m_alias"] = "";
$obj = new SQLFieldListItem($proto27);

$proto0["m_fieldlist"][]=$obj;
						$proto29=array();
			$obj = new SQLField(array(
	"m_strName" => "estado",
	"m_strTable" => "senuc_professores"
));

$proto29["m_expr"]=$obj;
$proto29["m_alias"] = "";
$obj = new SQLFieldListItem($proto29);

$proto0["m_fieldlist"][]=$obj;
						$proto31=array();
			$obj = new SQLField(array(
	"m_strName" => "cidade",
	"m_strTable" => "senuc_professores"
));

$proto31["m_expr"]=$obj;
$proto31["m_alias"] = "";
$obj = new SQLFieldListItem($proto31);

$proto0["m_fieldlist"][]=$obj;
						$proto33=array();
			$obj = new SQLField(array(
	"m_strName" => "escolaridade",
	"m_strTable" => "senuc_professores"
));

$proto33["m_expr"]=$obj;
$proto33["m_alias"] = "";
$obj = new SQLFieldListItem($proto33);

$proto0["m_fieldlist"][]=$obj;
						$proto35=array();
			$obj = new SQLField(array(
	"m_strName" => "curso",
	"m_strTable" => "senuc_professores"
));

$proto35["m_expr"]=$obj;
$proto35["m_alias"] = "";
$obj = new SQLFieldListItem($proto35);

$proto0["m_fieldlist"][]=$obj;
						$proto37=array();
			$obj = new SQLField(array(
	"m_strName" => "materias",
	"m_strTable" => "senuc_professores"
));

$proto37["m_expr"]=$obj;
$proto37["m_alias"] = "";
$obj = new SQLFieldListItem($proto37);

$proto0["m_fieldlist"][]=$obj;
						$proto39=array();
			$obj = new SQLField(array(
	"m_strName" => "ingresso_nucleo",
	"m_strTable" => "senuc_professores"
));

$proto39["m_expr"]=$obj;
$proto39["m_alias"] = "";
$obj = new SQLFieldListItem($proto39);

$proto0["m_fieldlist"][]=$obj;
						$proto41=array();
			$obj = new SQLField(array(
	"m_strName" => "bolsista",
	"m_strTable" => "senuc_professores"
));

$proto41["m_expr"]=$obj;
$proto41["m_alias"] = "";
$obj = new SQLFieldListItem($proto41);

$proto0["m_fieldlist"][]=$obj;
						$proto43=array();
			$obj = new SQLField(array(
	"m_strName" => "ano",
	"m_strTable" => "senuc_professores"
));

$proto43["m_expr"]=$obj;
$proto43["m_alias"] = "";
$obj = new SQLFieldListItem($proto43);

$proto0["m_fieldlist"][]=$obj;
						$proto45=array();
			$obj = new SQLField(array(
	"m_strName" => "atualizado",
	"m_strTable" => "senuc_professores"
));

$proto45["m_expr"]=$obj;
$proto45["m_alias"] = "";
$obj = new SQLFieldListItem($proto45);

$proto0["m_fieldlist"][]=$obj;
						$proto47=array();
			$obj = new SQLField(array(
	"m_strName" => "motivo",
	"m_strTable" => "senuc_professores"
));

$proto47["m_expr"]=$obj;
$proto47["m_alias"] = "";
$obj = new SQLFieldListItem($proto47);

$proto0["m_fieldlist"][]=$obj;
						$proto49=array();
			$obj = new SQLField(array(
	"m_strName" => "ativo",
	"m_strTable" => "senuc_professores"
));

$proto49["m_expr"]=$obj;
$proto49["m_alias"] = "";
$obj = new SQLFieldListItem($proto49);

$proto0["m_fieldlist"][]=$obj;
						$proto51=array();
			$obj = new SQLField(array(
	"m_strName" => "id_mdl",
	"m_strTable" => "senuc_professores"
));

$proto51["m_expr"]=$obj;
$proto51["m_alias"] = "";
$obj = new SQLFieldListItem($proto51);

$proto0["m_fieldlist"][]=$obj;
						$proto53=array();
			$obj = new SQLField(array(
	"m_strName" => "nome",
	"m_strTable" => "senuc_nucleo"
));

$proto53["m_expr"]=$obj;
$proto53["m_alias"] = "nome_nucleo";
$obj = new SQLFieldListItem($proto53);

$proto0["m_fieldlist"][]=$obj;
						$proto55=array();
			$obj = new SQLField(array(
	"m_strName" => "regional",
	"m_strTable" => "regionais"
));

$proto55["m_expr"]=$obj;
$proto55["m_alias"] = "nome_regional";
$obj = new SQLFieldListItem($proto55);

$proto0["m_fieldlist"][]=$obj;
						$proto57=array();
			$obj = new SQLField(array(
	"m_strName" => "ultimo_score",
	"m_strTable" => "senuc_professores"
));

$proto57["m_expr"]=$obj;
$proto57["m_alias"] = "";
$obj = new SQLFieldListItem($proto57);

$proto0["m_fieldlist"][]=$obj;
						$proto59=array();
			$obj = new SQLField(array(
	"m_strName" => "data_ultimo_score",
	"m_strTable" => "senuc_professores"
));

$proto59["m_expr"]=$obj;
$proto59["m_alias"] = "";
$obj = new SQLFieldListItem($proto59);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto61=array();
$proto61["m_link"] = "SQLL_MAIN";
			$proto62=array();
$proto62["m_strName"] = "senuc_professores";
$proto62["m_columns"] = array();
$proto62["m_columns"][] = "id";
$proto62["m_columns"][] = "idnucleo";
$proto62["m_columns"][] = "idregional";
$proto62["m_columns"][] = "nome";
$proto62["m_columns"][] = "email";
$proto62["m_columns"][] = "cpf";
$proto62["m_columns"][] = "telefone";
$proto62["m_columns"][] = "celular";
$proto62["m_columns"][] = "operadora";
$proto62["m_columns"][] = "nascimento";
$proto62["m_columns"][] = "etnia";
$proto62["m_columns"][] = "renda";
$proto62["m_columns"][] = "estado";
$proto62["m_columns"][] = "cidade";
$proto62["m_columns"][] = "escolaridade";
$proto62["m_columns"][] = "curso";
$proto62["m_columns"][] = "materias";
$proto62["m_columns"][] = "tipo";
$proto62["m_columns"][] = "ingresso_nucleo";
$proto62["m_columns"][] = "bolsista";
$proto62["m_columns"][] = "ano";
$proto62["m_columns"][] = "atualizado";
$proto62["m_columns"][] = "motivo";
$proto62["m_columns"][] = "ativo";
$proto62["m_columns"][] = "id_mdl";
$proto62["m_columns"][] = "ultimo_score";
$proto62["m_columns"][] = "data_ultimo_score";
$obj = new SQLTable($proto62);

$proto61["m_table"] = $obj;
$proto61["m_alias"] = "";
$proto63=array();
$proto63["m_sql"] = "";
$proto63["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto63["m_column"]=$obj;
$proto63["m_contained"] = array();
$proto63["m_strCase"] = "";
$proto63["m_havingmode"] = "0";
$proto63["m_inBrackets"] = "0";
$proto63["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto63);

$proto61["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto61);

$proto0["m_fromlist"][]=$obj;
												$proto65=array();
$proto65["m_link"] = "SQLL_INNERJOIN";
			$proto66=array();
$proto66["m_strName"] = "senuc_nucleo";
$proto66["m_columns"] = array();
$proto66["m_columns"][] = "id";
$proto66["m_columns"][] = "idregional";
$proto66["m_columns"][] = "login";
$proto66["m_columns"][] = "senha";
$proto66["m_columns"][] = "nome";
$proto66["m_columns"][] = "responsavel";
$proto66["m_columns"][] = "endereco";
$proto66["m_columns"][] = "cep";
$proto66["m_columns"][] = "estado";
$proto66["m_columns"][] = "cidade";
$proto66["m_columns"][] = "tipo";
$proto66["m_columns"][] = "site";
$proto66["m_columns"][] = "email";
$proto66["m_columns"][] = "telefone";
$proto66["m_columns"][] = "celular";
$proto66["m_columns"][] = "operadora";
$proto66["m_columns"][] = "data_inicio";
$proto66["m_columns"][] = "observacao";
$proto66["m_columns"][] = "prepara_para";
$proto66["m_columns"][] = "funciona_em";
$proto66["m_columns"][] = "ativo";
$proto66["m_columns"][] = "motivo";
$proto66["m_columns"][] = "id_mdl";
$proto66["m_columns"][] = "meta_funcionamento";
$proto66["m_columns"][] = "meta_alunos";
$proto66["m_columns"][] = "limite_alunos_por_coordenador";
$proto66["m_columns"][] = "min_presenca_coordenador";
$proto66["m_columns"][] = "min_presenca_professor";
$proto66["m_columns"][] = "min_presenca_aluno";
$proto66["m_columns"][] = "min_atividades";
$proto66["m_columns"][] = "data_ultimo_score";
$proto66["m_columns"][] = "ultimo_score";
$proto66["m_columns"][] = "aceite";
$obj = new SQLTable($proto66);

$proto65["m_table"] = $obj;
$proto65["m_alias"] = "";
$proto67=array();
$proto67["m_sql"] = "senuc_professores.idnucleo = senuc_nucleo.id";
$proto67["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "idnucleo",
	"m_strTable" => "senuc_professores"
));

$proto67["m_column"]=$obj;
$proto67["m_contained"] = array();
$proto67["m_strCase"] = "= senuc_nucleo.id";
$proto67["m_havingmode"] = "0";
$proto67["m_inBrackets"] = "0";
$proto67["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto67);

$proto65["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto65);

$proto0["m_fromlist"][]=$obj;
												$proto69=array();
$proto69["m_link"] = "SQLL_INNERJOIN";
			$proto70=array();
$proto70["m_strName"] = "regionais";
$proto70["m_columns"] = array();
$proto70["m_columns"][] = "id";
$proto70["m_columns"][] = "regional";
$proto70["m_columns"][] = "responsavel";
$proto70["m_columns"][] = "endereco";
$proto70["m_columns"][] = "telefone";
$proto70["m_columns"][] = "email";
$proto70["m_columns"][] = "celular";
$obj = new SQLTable($proto70);

$proto69["m_table"] = $obj;
$proto69["m_alias"] = "";
$proto71=array();
$proto71["m_sql"] = "senuc_professores.idregional = regionais.id";
$proto71["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "idregional",
	"m_strTable" => "senuc_professores"
));

$proto71["m_column"]=$obj;
$proto71["m_contained"] = array();
$proto71["m_strCase"] = "= regionais.id";
$proto71["m_havingmode"] = "0";
$proto71["m_inBrackets"] = "0";
$proto71["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto71);

$proto69["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto69);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
												$proto73=array();
						$obj = new SQLField(array(
	"m_strName" => "idnucleo",
	"m_strTable" => "senuc_professores"
));

$proto73["m_column"]=$obj;
$obj = new SQLGroupByItem($proto73);

$proto0["m_groupby"][]=$obj;
$proto0["m_orderby"] = array();
												$proto75=array();
						$obj = new SQLField(array(
	"m_strName" => "ativo",
	"m_strTable" => "senuc_professores"
));

$proto75["m_column"]=$obj;
$proto75["m_bAsc"] = 0;
$proto75["m_nColumn"] = 0;
$obj = new SQLOrderByItem($proto75);

$proto0["m_orderby"][]=$obj;					
												$proto77=array();
						$obj = new SQLField(array(
	"m_strName" => "ingresso_nucleo",
	"m_strTable" => "senuc_professores"
));

$proto77["m_column"]=$obj;
$proto77["m_bAsc"] = 0;
$proto77["m_nColumn"] = 0;
$obj = new SQLOrderByItem($proto77);

$proto0["m_orderby"][]=$obj;					
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_senuc_professores_regional = createSqlQuery_senuc_professores_regional();
																												$tdatasenuc_professores_regional[".sqlquery"] = $queryData_senuc_professores_regional;
	
if(isset($tdatasenuc_professores_regional["field2"])){
	$tdatasenuc_professores_regional["field2"]["LookupTable"] = "carscars_view";
	$tdatasenuc_professores_regional["field2"]["LookupOrderBy"] = "name";
	$tdatasenuc_professores_regional["field2"]["LookupType"] = 4;
	$tdatasenuc_professores_regional["field2"]["LinkField"] = "email";
	$tdatasenuc_professores_regional["field2"]["DisplayField"] = "name";
	$tdatasenuc_professores_regional[".hasCustomViewField"] = true;
}

include_once(getabspath("include/senuc_professores_regional_events.php"));
$tableEvents["senuc_professores_regional"] = new eventclass_senuc_professores_regional;
$tdatasenuc_professores_regional[".hasEvents"] = true;

$cipherer = new RunnerCipherer("senuc_professores_regional");

?>